org.apache.pdfbox.pdmodel.interactive.action

## Class PDAnnotationAdditionalActions

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAnnotationAdditionalActions

All Implemented Interfaces:
  COSObjectable

    public class PDAnnotationAdditionalActions
    extends Object
    implements COSObjectable

This class represents an annotation's dictionary of actions that occur due to events.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Constructor Summary

Constructors
Constructor and Description
`PDAnnotationAdditionalActions()` Default constructor.
`PDAnnotationAdditionalActions(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDAction` `getBl()` This will get an action to be performed when the annotation loses the input focus.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDAction` `getD()` This will get an action to be performed when the mouse button is pressed inside the annotation's active area.
`PDAction` `getE()` This will get an action to be performed when the cursor enters the annotation's active area.
`PDAction` `getFo()` This will get an action to be performed when the annotation receives the input focus.
`PDAction` `getPC()` This will get an action to be performed when the page containing the annotation is closed.
`PDAction` `getPI()` This will get an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.
`PDAction` `getPO()` This will get an action to be performed when the page containing the annotation is opened.
`PDAction` `getPV()` This will get an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.
`PDAction` `getU()` This will get an action to be performed when the mouse button is released inside the annotation's active area.
`PDAction` `getX()` This will get an action to be performed when the cursor exits the annotation's active area.
`void` `setBl(PDAction bl)` This will set an action to be performed when the annotation loses the input focus.
`void` `setD(PDAction d)` This will set an action to be performed when the mouse button is pressed inside the annotation's active area.
`void` `setE(PDAction e)` This will set an action to be performed when the cursor enters the annotation's active area.
`void` `setFo(PDAction fo)` This will set an action to be performed when the annotation receives the input focus.
`void` `setPC(PDAction pc)` This will set an action to be performed when the page containing the annotation is closed.
`void` `setPI(PDAction pi)` This will set an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.
`void` `setPO(PDAction po)` This will set an action to be performed when the page containing the annotation is opened.
`void` `setPV(PDAction pv)` This will set an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.
`void` `setU(PDAction u)` This will set an action to be performed when the mouse button is released inside the annotation's active area.
`void` `setX(PDAction x)` This will set an action to be performed when the cursor exits the annotation's active area.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAnnotationAdditionalActions

    public PDAnnotationAdditionalActions()

Default constructor.

#### PDAnnotationAdditionalActions

    public PDAnnotationAdditionalActions(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getE

    public PDAction getE()

This will get an action to be performed when the cursor enters the annotation's active area.

Returns:
  The E entry of annotation's additional actions dictionary.

#### setE

    public void setE(PDAction e)

This will set an action to be performed when the cursor enters the annotation's active area.

Parameters:
  `e` - The action to be performed.

#### getX

    public PDAction getX()

This will get an action to be performed when the cursor exits the annotation's active area.

Returns:
  The X entry of annotation's additional actions dictionary.

#### setX

    public void setX(PDAction x)

This will set an action to be performed when the cursor exits the annotation's active area.

Parameters:
  `x` - The action to be performed.

#### getD

    public PDAction getD()

This will get an action to be performed when the mouse button is pressed inside the annotation's active area. The name D stands for "down".

Returns:
  The d entry of annotation's additional actions dictionary.

#### setD

    public void setD(PDAction d)

This will set an action to be performed when the mouse button is pressed inside the annotation's active area. The name D stands for "down".

Parameters:
  `d` - The action to be performed.

#### getU

    public PDAction getU()

This will get an action to be performed when the mouse button is released inside the annotation's active area. The name U stands for "up".

Returns:
  The U entry of annotation's additional actions dictionary.

#### setU

    public void setU(PDAction u)

This will set an action to be performed when the mouse button is released inside the annotation's active area. The name U stands for "up".

Parameters:
  `u` - The action to be performed.

#### getFo

    public PDAction getFo()

This will get an action to be performed when the annotation receives the input focus.

Returns:
  The Fo entry of annotation's additional actions dictionary.

#### setFo

    public void setFo(PDAction fo)

This will set an action to be performed when the annotation receives the input focus.

Parameters:
  `fo` - The action to be performed.

#### getBl

    public PDAction getBl()

This will get an action to be performed when the annotation loses the input focus. The name Bl stands for "blurred".

Returns:
  The Bl entry of annotation's additional actions dictionary.

#### setBl

    public void setBl(PDAction bl)

This will set an action to be performed when the annotation loses the input focus. The name Bl stands for "blurred".

Parameters:
  `bl` - The action to be performed.

#### getPO

    public PDAction getPO()

This will get an action to be performed when the page containing the annotation is opened. The action is executed after the O action in the page's additional actions dictionary and the OpenAction entry in the document catalog, if such actions are present.

Returns:
  The PO entry of annotation's additional actions dictionary.

#### setPO

    public void setPO(PDAction po)

This will set an action to be performed when the page containing the annotation is opened. The action is executed after the O action in the page's additional actions dictionary and the OpenAction entry in the document catalog, if such actions are present.

Parameters:
  `po` - The action to be performed.

#### getPC

    public PDAction getPC()

This will get an action to be performed when the page containing the annotation is closed. The action is executed before the C action in the page's additional actions dictionary, if present.

Returns:
  The PC entry of annotation's additional actions dictionary.

#### setPC

    public void setPC(PDAction pc)

This will set an action to be performed when the page containing the annotation is closed. The action is executed before the C action in the page's additional actions dictionary, if present.

Parameters:
  `pc` - The action to be performed.

#### getPV

    public PDAction getPV()

This will get an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.

Returns:
  The PV entry of annotation's additional actions dictionary.

#### setPV

    public void setPV(PDAction pv)

This will set an action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.

Parameters:
  `pv` - The action to be performed.

#### getPI

    public PDAction getPI()

This will get an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.

Returns:
  The PI entry of annotation's additional actions dictionary.

#### setPI

    public void setPI(PDAction pi)

This will set an action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.

Parameters:
  `pi` - The action to be performed.